@learninglocker/xapi-validation

Validation library for the xAPI.

Stats

StarsIssuesVersionUpdatedCreatedSize
@learninglocker/xapi-validation
3112.1.134 months ago4 years agoMinified + gzip package size for @learninglocker/xapi-validation in KB

Readme

xapi-validation

Build Status Renovate badge semantic-release Join the chat at https://gitter.im/LearningLocker/learninglocker

This is Learning Locker's package for validating xAPI Statements. The package aims to return all of the problems with an xAPI statement in one function call. Since this package is part of Learning Locker, it has been conformance tested. You can try this package out on RunKit.

Learning Locker is a trademark of HT2 Inc.

Installation

To install all of Learning Locker, see the installation documentation. To install just the xAPI validation package, you can follow the instructions below.

npm i xapi-validation

Development

  1. Download the code by either:
    • Cloning the repository (authorised collaborators only) git clone git@github.com:LearningLocker/xapi-validation.git.
    • Forking the repository and cloning the fork.
  2. Change to the directory of the cloned code cd xapi-validation.
  3. Install dependencies npm install.
  4. Make your changes to the "src" directory.
  5. Build the code npm run build.
  6. Test the code npm test.
  7. Commit and push your changes npm run acp.
  8. Create a pull request.

If you find any bugs or have a feature request, please open an issue on github!

The npm package download data comes from npm's download counts api and package details come from npms.io.